﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Net;
using System.Diagnostics;

namespace signerManagement
{
    class signerManagement
    {
        private static string api_key = "api_key";
        private static string api_url = "https://sandbox.esignlive.com/api";

        public static void Main(string[] args)
        {
            string jsonString = "{ \"type\": \"SIGNER\", \"id\": \"Signer1\", \"signers\": [ { \"email\": \"signer@example.com\", \"firstName\": \"John\", \"lastName\": \"Smith\" } ] }";
            StringContent jsonContent = new StringContent(jsonString, Encoding.UTF8, "application/json");
           
            string jsonString2 = "{ \"type\": \"SIGNER\", \"signers\": [ { \"email\": \"mary.doe@example.com\", \"firstName\": \"Mary\", \"lastName\": \"Doe\" } ] }";
            StringContent jsonContent2 = new StringContent(jsonString2, Encoding.UTF8, "application/json");


            HttpClient myClient = new HttpClient();
            myClient.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Basic", api_key);
            myClient.DefaultRequestHeaders.Add("Accept", "application/json");

            //Add a signer
            var response = myClient.PostAsync(new Uri(api_url) + "/packages/06936296-ec00-4b2d-b5ae-8a03516c3d68/roles", jsonContent).Result;
            Debug.WriteLine(response.Content.ReadAsStringAsync().Result);

            //Update a signer
            response = myClient.PutAsync(new Uri(api_url) + "/packages/06936296-ec00-4b2d-b5ae-8a03516c3d68/roles/Signer1", jsonContent2).Result;
            Debug.WriteLine(response.Content.ReadAsStringAsync().Result);

            //Delete a signer
            response = myClient.DeleteAsync(new Uri(api_url) + "/packages/06936296-ec00-4b2d-b5ae-8a03516c3d68/roles/Signer1").Result;
            Debug.WriteLine(response.Content.ReadAsStringAsync().Result);
            

        }
    }
}
